<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Provider extends Provider_Controller {
//var $patient_model;
    public function index() {
		$data = array();
		$out = array();
		$this->load->model('patient_model');
		$out = $this->patient_model->getPatientList();
		$data["patient_list"] = $out["patient_list"];
		$_SESSION['patient_count']=5;
		$this->renderProviderSecurePage('dash', $data);
    }

 public function alerts() {
		$data = array();
		$out = array();
		$this->load->model('patient_model');
		$out = $this->patient_model->getPatientList();
		$data["patient_list"] = $out["patient_list"];
		$this->renderProviderSecurePage('dash', $data);
    }

 public function todo() {
		$data = array();
		$out = array();
		$this->load->model('patient_model');
		$out = $this->patient_model->getPatientList();
		$data["patient_list"] = $out["patient_list"];
		$this->renderProviderSecurePage('dash', $data);
    }

 public function tasks() {
 		$data = array();
		$out = array();
		$this->load->model('patient_model');
		$out = $this->patient_model->getPatientList();
		$data["patient_list"] = $out["patient_list"];
		$this->renderProviderSecurePage('dash', $data);
    }

 public function calendar() {
		$data = array();
		$out = array();
		$this->load->model('patient_model');
		$out = $this->patient_model->getPatientList();
		$data["patient_list"] = $out["patient_list"];
		$this->renderProviderSecurePage('calendar', $data);
    }

 public function encounters() {
		$data = array();
		$out = array();
		$this->load->model('patient_model');
		$out = $this->patient_model->getPatientList();
		$data["patient_list"] = $out["patient_list"];
		$this->renderProviderSecurePage('dash', $data);
    }
}
